package cn.com.tenlion.bigdata.util;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class BigDataResult {

    private Map<String, Object> data = new HashMap<String, Object>();

    private List<Object> list = new ArrayList<Object>();

    private String msg = "加载成功";

    private String state = "200";

    public static BigDataResult getInstance() {
        return new BigDataResult();
    }

    public Map<String, Object> getData() {
        return data;
    }

    public void setData(Map<String, Object> data) {
        this.data = data;
    }

    public List getList() {
        if (list == null) {
            return new ArrayList<>();
        }
        return list;
    }

    public void setList(List list) {
        this.list = list;
    }

    public String getMsg() {
        return msg == null ? "" : msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getState() {
        return state == null ? "" : state;
    }

    public void setState(String state) {
        this.state = state;
    }
}
